##
##  maven.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         maven
Summary:      Java Build Management Tool
URL:          http://maven.apache.org/
Vendor:       Apache Software Foundation
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      Apache Software License
Version:      3.2.2
Release:      20140915

#   list of sources
Source0:      http://www.apache.org/dist/maven/binaries/apache-maven-%{version}-bin.tar.gz
Source1:      maven.sh
Source2:      maven.conf
Source3:      settings.xml

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    Maven is a software project management and comprehension tool. Based
    on the concept of a project object model (POM), Maven can manage a
    project's build, reporting and documentation from a central piece of
    information.

%track
    prog maven = {
        version   = %{version}
        url       = http://www.apache.org/dist/maven/binaries/
        regex     = apache-maven-(\d+\.\d+\.\d+)-bin\.tar\.gz
    }

%prep
    %setup -q -n apache-maven-%{version}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/maven \
        $RPM_BUILD_ROOT%{l_prefix}/lib/maven \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/maven
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE maven.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/mvn
    %{l_shtool} install -c -m 644 \
        boot/* $RPM_BUILD_ROOT%{l_prefix}/libexec/maven/
    %{l_shtool} install -c -m 644 \
        lib/* $RPM_BUILD_ROOT%{l_prefix}/lib/maven/
    %{l_shtool} install -c -m 644 \
        %{SOURCE settings.xml} $RPM_BUILD_ROOT%{l_prefix}/etc/maven/
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE maven.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/maven/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/maven'

%files -f files

%clean

